--
-- $Id$
--
-- Script containing customer specific sql statements for the KFNS database
-- Dit script hangt een aantal nieuw kenmerken bij gebouw om van een checkbox naar een datumveld. Tbv de gebouwpaspoort rapportage.

DEFINE thisfile = 'KFNS#40590.SQL'
DEFINE dbuser   = '^KFNS'
DEFINE custid   = 'KFNS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE
alg_kenmerk
SET
alg_kenmerk_kenmerktype = 'D',
alg_kenmerk_lengte = NULL,
alg_kenmerk_dec = NULL,
alg_kenmerk_nmin = NULL,
alg_kenmerk_nmax = NULL
WHERE
alg_kenmerk_key IN
(1281, 1300, 1302, 1304, 1320, 1322, 1324, 1360, 1362, 1380, 1382, 1384, 1400, 1402, 1404, 1420, 1422, 1424, 1426, 1428);

UPDATE
alg_onrgoedkenmerk
SET
alg_onrgoedkenmerk_waarde = '31-08-2017'
WHERE
alg_kenmerk_key IN
(1281, 1300, 1302, 1304, 1320, 1322, 1324, 1360, 1362, 1380, 1382, 1384, 1400, 1402, 1404, 1420, 1422, 1424, 1426, 1428);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile